Put blob into store
PUT /store/v1/blob Select code sample Fetch cURL
Overview Next
Put base64-encoded blobs into store in a single request.
const url = 'https://example.com/store/v1/blob';const options = { method: 'PUT', headers: {Authorization: 'Bearer
', 'Content-Type': 'application/octet-stream'}, body: 'binary'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}
curl --request PUT \ --url https://example.com/store/v1/blob \ --header 'Authorization: Bearer
' \ --header 'Content-Type: application/octet-stream' \ --data binary
Put blob into store
If no multicodec is provided, the default (0x55: raw binary) will be used.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” multicodec_code integer format: int64 nullableRequest Body required
Section titled “Request Body required ” Media type application/octet-stream string format: binaryResponses
Section titled “ Responses ”200
Section titled “200 ”Put
Media type application/json object cid required stringExample generated
{ "cid": "example"}
Previous Overview Next
Put base64-encoded blobs into store in a single request.